/* General Styles */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f5f5f5;
}

.image-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr); /* Two columns */
    gap: 40px; /* Gap between grid items */
    padding: 40px; /* Padding around the grid */
}

.image-container {
    position: relative;
    overflow: hidden;
}

.image-container img {
    width: 100%;
    height: auto;
    display: block;
    transition: transform 0.3s ease-in-out;
}

.overlay-text {
    position: absolute;
    bottom: 0px;
    left: 0px;
    width: 100%;
    text-align: center;
    background-color: rgba(254, 102, 53); /* Semi-transparent background */
    color: white;
    padding: 10px;
    font-size: 20px; /* Larger text size */
    transform: translateY(100%); /* Initially hidden */
    transition: transform 0.3s ease; /* Smooth transition */
}

.image-container:hover .overlay-text {
    transform: translateY(0); /* Slide in on hover */
}

.image-container:hover img {
    transform: scale(1.1);
}

.image-name {
    position: absolute;
    bottom: 5px;
    left: 5px;
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    padding: 5px;
    font-size: 12px;
}

.spacer {
    height: 20px;
}

@media (max-width: 768px) {
    .image-grid {
        grid-template-columns: 1fr; /* One column */
        gap: 20px; /* Adjust the gap for smaller screens */
        padding: 20px; /* Adjust the padding for smaller screens */
    }
}
